
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android Studio使用教程（六）：Gradle多渠道打包_Android / iVAN</title>

    <meta name="description" content="Android Studio使用教程（六）：Gradle多渠道打包_Android 由于国内Android市场众多渠道,为了统计每个渠道的下载及其它数据统计,就需要我们针对每个渠道单独打包,如果让你打几十个市场的包岂不烦死了,不过有了Gradle,这再也不是事了. 友盟多渠道打包 废话不多说,以友盟统计为例,在AndroidManifest.xml里面会有这么一段: 复制代码 代码如下: &lt;meta-data     android:name=&quot;UMENG_CHANNEL&quot;     android:value=&quot;Channel_ID&quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android Studio使用教程（六）：Gradle多渠道打包_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>由于国内Android市场众多渠道，为了统计每个渠道的下载及其它数据统计，就需要我们针对每个渠道单独打包，如果让你打几十个市场的包岂不烦死了，不过有了Gradle，这再也不是事了。</p>
<p><strong>友盟多渠道打包</strong></p>
<p>废话不多说，以友盟统计为例，在AndroidManifest.xml里面会有这么一段：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;meta-data<br />
    android:name="UMENG_CHANNEL"<br />
    android:value="Channel_ID" /&gt;</p>
<p>里面的Channel_ID就是渠道标示。我们的目标就是在编译的时候这个值能够自动变化。<br />
<br />第一步 在AndroidManifest.xml里配置PlaceHolder</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;meta-data<br />
    android:name="UMENG_CHANNEL"<br />
    android:value="${UMENG_CHANNEL_VALUE}" /&gt;</p>
<p>第二步 在build.gradle设置productFlavors</p>
<p><u>复制代码</u> 代码如下:</p>
<p>android {  <br />
    productFlavors {<br />
        xiaomi {<br />
            manifestPlaceholders = [UMENG_CHANNEL_VALUE: "xiaomi"]<br />
        }<br />
        _360 {<br />
            manifestPlaceholders = [UMENG_CHANNEL_VALUE: "_360"]<br />
        }<br />
        baidu {<br />
            manifestPlaceholders = [UMENG_CHANNEL_VALUE: "baidu"]<br />
        }<br />
        wandoujia {<br />
            manifestPlaceholders = [UMENG_CHANNEL_VALUE: "wandoujia"]<br />
        }<br />
    }  <br />
}</p>
<p>或者批量修改</p>
<p><u>复制代码</u> 代码如下:</p>
<p>android {  <br />
    productFlavors {<br />
        xiaomi {}<br />
        _360 {}<br />
        baidu {}<br />
        wandoujia {}<br />
    } <br />
<br />    productFlavors.all { <br />
        flavor -&gt; flavor.manifestPlaceholders = [UMENG_CHANNEL_VALUE: name] <br />
    }<br />
}</p>
<p>很简单清晰有没有？直接执行 ./gradlew assembleRelease ， 然后就可以静静的喝杯咖啡等待打包完成吧。</p>
<p><strong>assemble结合Build Variants来创建task</strong></p>
<p>上一篇博客介绍了 assemble 这个命令，会结合 Build Type 创建自己的task，如:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>./gradlew assembleDebug<br />
<br />./gradlew assembleRelease</p>
<p>除此之外 assemble 还能和 Product Flavor 结合创建新的任务，其实 assemble 是和 Build Variants 一起结合使用的，而 Build Variants = Build Type + Product Flavor ， 举个例子大家就明白了：<br />
<br />如果我们想打包wandoujia渠道的release版本，执行如下命令就好了：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>./gradlew assembleWandoujiaRelease</p>
<p>如果我们只打wandoujia渠道版本，则：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>./gradlew assembleWandoujia</p>
<p>此命令会生成wandoujia渠道的Release和Debug版本<br />
<br />同理我想打全部Release版本：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>./gradlew assembleRelease</p>
<p>这条命令会把Product Flavor下的所有渠道的Release版本都打出来。<br />
<br />总之，assemble 命令创建task有如下用法：</p>
<p>**assemble**： 允许直接构建一个Variant版本，例如assembleFlavor1Debug。</p>
<p>**assemble**： 允许构建指定Build Type的所有APK，例如assembleDebug将会构建Flavor1Debug和Flavor2Debug两个Variant版本。</p>
<p>**assemble**： 允许构建指定flavor的所有APK，例如assembleFlavor1将会构建Flavor1Debug和Flavor1Release两个Variant版本。</p>
<p><strong>完整的gradle脚本</strong></p>
<p>最后福利大放送，来一份我在项目中使用的完整的gradle文件配置：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>apply plugin: 'com.android.application'<br />
<br />def releaseTime() {<br />
    return new Date().format("yyyy-MM-dd", TimeZone.getTimeZone("UTC"))<br />
}</p>
<p>android {<br />
    compileSdkVersion 21<br />
    buildToolsVersion '21.1.2'</p>
<p>    defaultConfig {<br />
        applicationId "com.boohee.*"<br />
        minSdkVersion 14<br />
        targetSdkVersion 21<br />
        versionCode 1<br />
        versionName "1.0"<br />
        <br />
        // dex突破65535的限制<br />
        multiDexEnabled true<br />
        // 默认是umeng的渠道<br />
        manifestPlaceholders = [UMENG_CHANNEL_VALUE: "umeng"]<br />
    }</p>
<p>    lintOptions {<br />
        abortOnError false<br />
    }</p>
<p>    signingConfigs {<br />
        debug {<br />
            // No debug config<br />
        }</p>
<p>        release {<br />
            storeFile file("../yourapp.keystore")<br />
            storePassword "your password"<br />
            keyAlias "your alias"<br />
            keyPassword "your password"<br />
        }<br />
    }</p>
<p>    buildTypes {<br />
        debug {<br />
            // 显示Log<br />
            buildConfigField "boolean", "LOG_DEBUG", "true"</p>
<p>            versionNameSuffix "-debug"<br />
            minifyEnabled false<br />
            zipAlignEnabled false<br />
            shrinkResources false<br />
            signingConfig signingConfigs.debug<br />
        }</p>
<p>        release {<br />
            // 不显示Log<br />
            buildConfigField "boolean", "LOG_DEBUG", "false"</p>
<p>            minifyEnabled true<br />
            zipAlignEnabled true<br />
            // 移除无用的resource文件<br />
            shrinkResources true<br />
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'<br />
            signingConfig signingConfigs.release</p>
<p>            applicationVariants.all { variant -&gt;<br />
                variant.outputs.each { output -&gt;<br />
                    def outputFile = output.outputFile<br />
                    if (outputFile != null &amp;&amp; outputFile.name.endsWith('.apk')) {<br />
                     // 输出apk名称为boohee_v1.0_2015-01-15_wandoujia.apk<br />
                        def fileName = "boohee_v${defaultConfig.versionName}_${releaseTime()}_${variant.productFlavors[0].name}.apk"<br />
                        output.outputFile = new File(outputFile.parent, fileName)<br />
                    }<br />
                }<br />
            }<br />
        }<br />
    }</p>
<p>    // 友盟多渠道打包<br />
    productFlavors {<br />
        wandoujia {}<br />
        _360 {}<br />
        baidu {}<br />
        xiaomi {}<br />
        tencent {}<br />
        taobao {}<br />
        ...<br />
    }</p>
<p>    productFlavors.all { flavor -&gt;<br />
        flavor.manifestPlaceholders = [UMENG_CHANNEL_VALUE: name]<br />
    }<br />
}</p>
<p>dependencies {<br />
    compile fileTree(dir: 'libs', include: ['*.jar'])<br />
    compile 'com.android.support:support-v4:21.0.3'<br />
    compile 'com.jakewharton:butterknife:6.0.0'<br />
    ...<br />
}</p>
<p>大家有问题或疑问、建议欢迎博客留言，Android Studio的教程暂且到这里结束了，相信大家基本的都已会使用了，还有其他技巧与操作靠大家自己摸索了，之后有时间也会在博客上整理下一些Tips之类的，欢迎大家关注。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:03:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%99%e7%a8%8b/" title="教程">教程</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/gradle/" title="gradle">gradle</a>, <a href="https://www.iamivan.net/tag/studio/" title="studio">studio</a>, <a href="https://www.iamivan.net/tag/%e6%89%93%e5%8c%85/" title="打包">打包</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e6%b8%a0%e9%81%93/" title="多渠道">多渠道</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android Studio使用教程（六）：Gradle多渠道打包_Android的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQLVrOz.html" rel="bookmark">Android Studio系列教程六--Gradle多渠道打包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转:  http://www.stormzhang.com/devtools/2015/01/15/android-studio-tutorial6/     由于国内Android市场众多渠道,为了统计每个渠道的下载及其它数据统计,就需要我们针对每个渠道单独打包,如果让你打几十个市场的包岂不烦死了,不过有了Gradle,这再也不是事了. 友盟多渠道打包 废话不多说,以友盟统计为例,在AndroidManifest.xml里面会有这么一段: &lt;meta-data android:name=&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9JlWKp.html" rel="bookmark">Android studio 3&period;0上进行多渠道打包遇到的问题小结&lpar;超简洁版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Error:All flavors must now belong to a named flavor dimension. The flavor 'xiaomi' is not assigned to a flavor dimension. Learn more at https://d.android.com/r/tools/flavorDimensions-missing-error-message.html Android studio 3.0上进行多渠道打包时编译时出现这个错误 多渠道			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkGdWdp.html" rel="bookmark">Android Studio使用教程（五）：Gradle命令详解和导入第三方包&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio + Gradle的组合用起来非常方便,很多第三方开源项目也早都迁移到了Studio,为此今天就来介绍下查看.编译并导入第三方开源项目的方法. Sublime + Terminal编译并查看源码 首先来给大家介绍一种简便并且个人最喜欢的一种办法.很多时候我们在GitHub上看到一个不错的开源项目,一般有两种需求,阅读源码和查看运行效果,如果是单纯的查看源码我更喜欢用一些轻量级编辑器,如vim,sublime等,vim不是很熟练,所以个人一种都习惯用sublime来查看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY96ZxM.html" rel="bookmark">Android Studio使用教程（五）：Gradle命令详解和导入第三方包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio + Gradle的组合用起来非常方便,很多第三方开源项目也早都迁移到了Studio,为此今天就来介绍下查看.编译并导入第三方开源项目的方法. Sublime + Terminal编译并查看源码 首先来给大家介绍一种简便并且个人最喜欢的一种办法.很多时候我们在GitHub上看到一个不错的开源项目,一般有两种需求,阅读源码和查看运行效果,如果是单纯的查看源码我更喜欢用一些轻量级编辑器,如vim,sublime等,vim不是很熟练,所以个人一种都习惯用sublime来查看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRPorp.html" rel="bookmark">Android Studio使用教程（四）：Gradle基础&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其实很早之前也写了一篇Gradle的基础博客,但是时间很久了,现在Gradle已经更新了很多,所以暂且结合Stduio 1.0正式版与最新的Gradle语法来详细讲解下,小伙伴们直接跟我一步步来学习吧. 什么是Gradle? Gradle是一种依赖管理工具,基于Groovy语言,面向Java应用为主,它抛弃了基于XML的各种繁琐配置,取而代之的是一种基于Groovy的内部领域特定(DSL)语言. 安装Gradle 在Android Studio系列教程一–下载与安装中新建项目成功后会下载Grad			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKyojWp.html" rel="bookmark">Android Studio使用教程（四）：Gradle基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				其实很早之前也写了一篇Gradle的基础博客,但是时间很久了,现在Gradle已经更新了很多,所以暂且结合Stduio 1.0正式版与最新的Gradle语法来详细讲解下,小伙伴们直接跟我一步步来学习吧. 什么是Gradle? Gradle是一种依赖管理工具,基于Groovy语言,面向Java应用为主,它抛弃了基于XML的各种繁琐配置,取而代之的是一种基于Groovy的内部领域特定(DSL)语言. 安装Gradle 在Android Studio系列教程一–下载与安装中新建项目成功后会下载Grad			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkVJ7b.html" rel="bookmark">Android Studio使用教程（三）：常用快捷键&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio 1.0正式版发布啦 今天是个大日子,Android Studio 1.0 终于发布了正式版, 这对于Android开发者来说简直是喜大普奔的大消息啊,那么就果断来下载使用. 官方下载地址: http://developer.android.com/sdk/index.html 如果你之前已经使用其他版本的Studio,那么直接覆盖就好了,如果是第一次使用,那么参照Android Studio系列教程一进行安装配置. 于此同时一起更新的还有SDK Tools等,打开S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6d2LM.html" rel="bookmark">Android Studio&lpar;十一&rpar;：代码混淆及打包apk</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio相关博客: Android Studio(一):介绍.安装.配置 Android Studio(二):快捷键设置.插件安装 Android Studio(三):设置Android Studio编码 Android Studio(四):Android Studio集成Genymotion Android Studio(五):修改Android Studio项目包名 Android Studio(六):Android Studio添加注释模板 Android Studio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVweyDb.html" rel="bookmark">Android Studio&lpar;八&rpar;：Android Studio设置教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Studio相关博客: Android Studio(一):介绍.安装.配置 Android Studio(二):快捷键设置.插件安装 Android Studio(三):设置Android Studio编码 Android Studio(四):Android Studio集成Genymotion Android Studio(五):修改Android Studio项目包名 Android Studio(六):Android Studio添加注释模板 Android Studio			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvQWb0.html" rel="bookmark" class="title">Linux Namespace机制简介</a>
					<div>
						最近Docker技术越来越受到关注,作为Docker中很重要的一项技术,Namespace也就经常在Docker的简介里面看到. 在这里总结一下它的内部机制.也解决一下自己原来的一些疑惑. Names ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3xdmM.html" rel="bookmark" class="title">鼠标双击效果（AS2类）</a>
					<div>
						鼠标     看论坛有许多关于双击事件的贴子,写了一个AS2类放上来供大家参考.     演示:http://home.goofar.com/Blog_/flash/DbClick.swf    类名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBwmNM.html" rel="bookmark" class="title">Flash：with语句指向自身的小办法</a>
					<div>
						语句 恩,对于with,不知道各位flasher们是一个什么样的了解.其实,with从理论上并不是一个非常重要的语句,没有with,很多功能照样可以实现,因为with本身并不负责创建.回收任何SWF中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ89Qz.html" rel="bookmark" class="title">新手站长谈谈做外链带来的实际效果</a>
					<div>
						大家好,我是90后新手站长.在A5发表过几篇文章,反响还行.在百度搜索的时候,也能看到很多个网站转了我的文章,有了一点小小的成就感,不过,我深知做站之路漫漫,我还要上下而求索. 很久之前就听过要想做好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqlLeb.html" rel="bookmark" class="title">网站优化应该注意的细节分享</a>
					<div>
						我们做网站优化大道理大家都知道,然而为什么有的网站关键词排名非常好,有的却非常差,也许你会疑惑,为什么我每天更新原创内容,关键词排名却没有长期不更新的网站排名好.这主要是网站优化的细节没有做好,大道理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK5dVp.html" rel="bookmark" class="title">从资源中加载皮肤</a>
					<div>
						由于单位上最近要开发一个内部使用的小型项目,我需要一个运行稳定的,能够将皮肤文件放到资源里的并且易于使用的界面开发包,当然,免费的最好.于是利用google一阵狂搜,嘿,真还找到了这样的一个开发库:A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M910LKM.html" rel="bookmark" class="title">MIS系统实例中Oracle数据库的安全策略</a>
					<div>
						由于Oracle数据库备份有三种方式,每种方式具有不同的恢复特性,因此应集成数据库与文件系统备份,集成逻辑备份和物理备份. 一.备份策略 1．在操作系统级,使用大容量磁盘阵列,通过磁盘映像技术使每一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Par7M.html" rel="bookmark" class="title">浅谈&period;NET下的多线程和并行计算（五）线程池基础 上</a>
					<div>
						池(Pool)是一个很常见的提高性能的方式.比如线程池连接池等,之所以有这些池是因为线程和数 据库连接的创建和关闭是一种比较昂贵的行为.对于这种昂贵的资源我们往往会考虑在一个池容器中放置 一些资源,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN113mb.html" rel="bookmark" class="title">Win8纯净版系统IE11浏览器无法打开&period;mht文件如何解决</a>
					<div>
						  本文教程小编和大家分享Win8纯净版系统IE11浏览器无法打开.mht文件的解决方法,.hmt文件是一种web电子邮件档案,可通过IE浏览器打开,但在Win8系统用户反映IE11浏览器无法打开.h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjd84b.html" rel="bookmark" class="title">Excel数据透视表分类求学生成绩平均值</a>
					<div>
						  期末统考结束后,教育局要求全市学生的成绩都汇总在如图1的同一个Excel工作表中,并要求求出各学校.各专业.各学科的平均分. 全市三个学校.每个学校都有六个专业.每个专业都有五门课.各专业人数不等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W4yAb.html" rel="bookmark" class="title">如何使用阿里旺旺查看联系人名片</a>
					<div>
						  1.将鼠标停留在联系人头像上,阿里旺旺主窗口一侧就会显示联系人名片.点击其中的标签,可查看联系人的信息. 2.进入聊天窗口后,鼠标停留在联系人头像上或点击联系人头像,阿里旺旺主窗口一侧就会显示联系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7gBNM.html" rel="bookmark" class="title">mac如何远程桌面连接windows</a>
					<div>
						  1.您首先需要开启Windows允许远程连接.单击&quot;开始&quot;菜单,找到&quot;计算机&quot;右击,选择菜单中的&quot;属性&quot;.   2.在左侧列表中单击&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr38OOp.html" rel="bookmark" class="title">如何解决虚拟机不能启动的问题</a>
					<div>
						  解决办法: 到相应的虚拟机目录下删除%虚拟机名字%.vmx.lck文件夹或者其中的文件即可 我们打开任务管理器,会发现vmware.exe和vmware-vmx.exe两个重要的进程.其中vmwa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZlL4z.html" rel="bookmark" class="title">html5-如何实现iPhone在网页上播放视频</a>
					<div>
						问题描述 如何实现iPhone在网页上播放视频 在html5中,使用video标签,播放视频,不能在网页上自动播放,必须要弹出视频框播放,怎么样才能直接在网页上播放? 解决方案 因为 iOS的safa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdqR5M.html" rel="bookmark" class="title">浅谈数据库连接</a>
					<div>
						原文:浅谈数据库连接 必须澄清,虽然文章是我总结整理的,但是很多知识的确不是我能研究分析得出来,通过听培训.看书.实践所总结得出,一方面为了给自己备用,以便以后出现问题能解决,另一方面也希望遇到相同问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k9q9M.html" rel="bookmark" class="title">企业在百度地图上添加标注地址信息完美教程</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 你的企业地址在百度地图上能够找到吗?搜索你企业名称的时候是否出现有百度地图相关信息呢?对于百度地图标注,企业该该如何去做呢?我想很多的人想知道如何操作, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWVBjp.html" rel="bookmark" class="title">代码-关于网页设计的问题html</a>
					<div>
						问题描述 关于网页设计的问题html 我在本地写网页的代码是这样但上传到免费空间上 在网络打开代码却无缘无故多了style=&quot;&quot;border:dashed 2px red;back ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoQEBb.html" rel="bookmark" class="title">Sonos拿1&period;3亿美金给员工发福利，中国厂商要拿什么拼？</a>
					<div>
						   从昨天开始,国内外媒体陆续报道了Sonos一笔1.3亿美金的融资.这事的起因是一份公开文件显示:Sonos近期有一笔1.3亿的入账. 结果今天,Sonos官方出面表示这不是新一轮融资,而是&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRRVBb.html" rel="bookmark" class="title">HPV检查8天拿到两张结果不同的检查单</a>
					<div>
						8天时间里,张女士在郑州大学第二附属医院拿到两张结果不同的检查单1月28日,26岁的张士通过大河健康网投诉热线(0371-65795966)向记者反映,她在郑州大学第二附属医院就医遇到的窝心事.HPV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR0vBb.html" rel="bookmark" class="title">cadstar 的&period;pcb文件怎么在altium designer 中打开呢。</a>
					<div>
						问题描述 cadstar 的.pcb文件怎么在altium designer 中打开呢. 我从TI公司上下载的cc2530-cc2591em pcb 图,显示用的cadstar设计,但是我的altiu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeQJEb.html" rel="bookmark" class="title">asp&period;net异步获取datatable并显示的实现方法&lowbar;实用技巧</a>
					<div>
						本文讲述了asp.net异步获取datatable并显示的实现方法.分享给大家供大家参考,具体如下: 上面就是结果,前台代码如下: &lt;%@ Page Language=&quot;C#&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0lgnM.html" rel="bookmark" class="title">菜鸟面对批评的回应</a>
					<div>
						有媒体报道称,商务部电子商务司副巡视员聂林海近日公开批评马云:如果马云做一个物流的第四方智慧平台,我觉得对国家作出重大贡献,但是发现他到处建物流基地建仓储,原因是因为经不住诱惑. 对此,阿里巴巴集团首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlOx7p.html" rel="bookmark" class="title">求助下~java的Desede加密转换为&period;net可用的，谢谢</a>
					<div>
						问题描述 求助下~java的Desede加密转换为.net可用的,谢谢 java代码: String paramString=&quot;112233445566&quot;; byte[] aes_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBD0mM.html" rel="bookmark" class="title">command-Android Studio 遇到问题</a>
					<div>
						问题描述 Android Studio 遇到问题 错误提示:Error:Execution failed for task ':app:processDebugResources'. com.andr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ9v6p.html" rel="bookmark" class="title">投资者的苦恼：赖皮平台可能增多</a>
					<div>
						摘要: 产生风险以后,一些投资人越发感到前路难料,与其苦等资金,还不如自己想办法先回款.他们开始甩卖债券 ] 网贷平台诈骗跑路的案例您一定已经听说过了,但这只是网贷风险的Ⅰ时 产生风险以后,一些投资人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q6Y4M.html" rel="bookmark" class="title">JQuery 绑定事件时传递参数的实现方法&lowbar;jquery</a>
					<div>
						如题,比如我想在$(&quot;:text&quot;).bind(&quot;keyup&quot;,funcionName);将当前的文本框作为参数传递给 functionName所代表的函数,应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrNOkp.html" rel="bookmark" class="title">把字符串转为HtmlTable演示动画&lowbar;实用技巧</a>
					<div>
						怎样将字符串 &lt;table&gt;&lt;tr&gt;&lt;td&gt;123&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt; 转为.cs页面中的HtmlTable , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0deNp.html" rel="bookmark" class="title">php设计模式 Observer&lpar;观察者模式&rpar;&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php /** * 观察者模式 * * 定义对象间的一种一对多的依赖关系,以便当一个对象的状态发生改变时,所有依赖于它的对象都得到通知并自动刷新 * 能够便利地创建查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYo7rb.html" rel="bookmark" class="title">提高访问量的八种方法</a>
					<div>
						1. 调查在你网页上搞一些小调查,问一个有趣的问题,让访客投票.投票者也许会在明天或下周再来查看调查结果. 2.有奖活动持续的搞一些有奖活动,奖品不必太贵重,只要对你的访客来说稍有用即可.他们会常来看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKAElM.html" rel="bookmark" class="title">Yii中CDbCriteria常用注释讲解教程</a>
					<div>
						$criteria =newCDbCriteria; $criteria-&gt;addCondition(&quot;id=1&quot;); //查询条件,即where id =1 $criter ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
